local Colin = {
	{
		start = function ()
			local state = StateManager:getActiveState()
			state._tx = 8
			state._ty = -113
			sfx.colin_scare:play()
			bgm.block_b:stop()
		end,
		map = maps.cell_b2,
		update = function (dt)
			local state = StateManager:getActiveState()
			state._ty = math.min(0, state._ty + 16 * dt)

			local col = math.cos(math.rad(-state._ty / 113 * 90))
			col = col * col * col
			local val = (math.random() * col * 100) - col * 50
			state._tx = 8 + val
		end,
		check = function ()
			local state = StateManager:getActiveState()
			if (state._ty == 0) then
				state._tx = 8
				return true
			end
		end,
		draw = function ()
			love.graphics.draw(gfx.char.guard_2.idle_up, 7 * 16, 9 * 16)
		end
	},
	{
		start = function ()
			__COUNT = 0
		end,
		map = maps.cell_b2,
		update = function (dt)
			__COUNT = __COUNT + dt
		end,
		check = function ()
			if (__COUNT >= 3) then
				sfx.colin_scare:stop()
				return true
			end
		end,
		draw = function ()
			local alpha = __COUNT / 3
			local frame = (alpha * 6) % 3
			love.graphics.draw(gfx.char.guard_2["walk_up_" .. math.floor(frame + 1)], 7 * 16, 9 * 16 - 16 * alpha)
		end
	},
	{
		start = function ()
			Dialogue:set({
				"Leave this place.",
				"Do not return.",
				function ()
					Flag:set("cs-colin__step-1", true)
					return nil
				end
			}, "", true)
		end,
		map = maps.cell_b2,
		check = function ()
			return Flag:get("cs-colin__step-1")
		end,
		draw = function ()
			love.graphics.draw(gfx.char.guard_2["walk_up_1"], 7 * 16, 8 * 16)
		end
	},
	{
		start = function ()
			__COUNT = 0
		end,
		map = maps.cell_b2,
		update = function (dt)
			__COUNT = __COUNT + dt
		end,
		check = function ()
			if (__COUNT >= 1) then
				bgm.block_b:play()
				return true
			end
		end,
		draw = function ()
			local alpha = __COUNT / 1
			local frame = (alpha * 8) % 3
			love.graphics.draw(gfx.char.guard_2["walk_down_" .. math.floor(frame + 1)], 7 * 16, 8 * 16 + 16 * alpha)
		end
	},
}


return Colin

--[[]]
