local Intro = {
	{
		start = function ()
			bgm.intro:play()
			Dialogue:set({
				"Hello.",
				function ()
					Flag:set("cs-intro__step-1", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_3,
		check = function ()
			return Flag:get("cs-intro__step-1")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"Ah I'm Dr. Andre Boscovenitz, but you can call me Bosco.",
				"I'm a neurosurgeon currently on trial for non-consentual human experimentation.",
				"Apparently all those people didn't want their brains tinkered with after their death.",
				function ()
					Flag:set("cs-intro__step-2", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_1,
		check = function ()
			return Flag:get("cs-intro__step-2")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"Anyway, have you ever wondered about the mysteries of the mind?",
				"Such a small word belies the complexity of the concept.",
				"At the centre of the consciousness puzzle, the brain.",
				"A series of electrical signals, brainwaves, sends impulse from the brain to the body.",
				function ()
					Flag:set("cs-intro__step-3", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_2,
		check = function ()
			return Flag:get("cs-intro__step-3")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"Well, what if it were not necessary to rely on the brain for those signals?",
				"I think I have discovered a mechanism to bypass the normal method by which we control our bodies.",
				function ()
					Flag:set("cs-intro__step-4", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_3,
		check = function ()
			return Flag:get("cs-intro__step-4")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"My breakthrough, the apex of my discovery...",
				"The brain parasite, B. Silphorex Psychiopherii...",
				function ()
					Flag:set("cs-intro__step-5", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_4,
		check = function ()
			return Flag:get("cs-intro__step-5")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"Certain people seem to be vulnerable to the bite of this parasite.",
				"When it bites, it burrows and attaches to the brain stem, entering the fibre of the brain.",
				"Leeching upon its host, it removes all signs of brain activity...",
				"But not motion.",
				function ()
					Flag:set("cs-intro__step-6", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_5,
		check = function ()
			return Flag:get("cs-intro__step-6")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"The implications for science, medicine, psychology...",
				"Well, they are clearly enormous.",
				"But I have been arrested and am set to be incarcarated.",
				"How can I change the world from a prison cell?",
				function ()
					Flag:set("cs-intro__step-7", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_3,
		check = function ()
			return Flag:get("cs-intro__step-7")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"However.",
				"I plan to bring a certain friend along with me.",
				"The parasite has been safely stored in my colon and I am confident the guards will not notice.",
				"Smuggling a parasite up my poo poo zone has not been one of my proudest moments but I am afraid I have no choice.",
				"If all goes well, I hope...it will overpower the guards...",
				function ()
					Flag:set("cs-intro__step-8", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_4,
		check = function ()
			return Flag:get("cs-intro__step-8")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"And then...",
				"...",
				function ()
					Flag:set("cs-intro__step-9", true)
					return nil
				end
			}, "", true)
		end,
		bg = gfx.bg.test_3,
		check = function ()
			return Flag:get("cs-intro__step-9")
		end
	},
	-- AT THIS POINT, MOVING CUTSCENE
	{
		start = function ()
			local state = StateManager:getActiveState()
			state._tx = 40
			state._ty = 72

			__TIMER = 0
		end,
		map = maps.holding_cell_cinematic,
		update = function (dt)
			__TIMER = __TIMER + dt
		end,
		draw = function ()
			love.graphics.draw(gfx.cell_door_closed, 80, 64)
		end,
		check = function ()
			return __TIMER >= 1
		end
	},
	{
		start = function ()
			__TIMER = 0
		end,
		map = maps.holding_cell_cinematic,
		update = function (dt)
			__TIMER = __TIMER + dt
		end,
		draw = function ()
			love.graphics.draw(gfx.cell_door_open, 80, 64)
		end,
		check = function ()
			return __TIMER >= 1
		end
	},
	{
		start = function ()
			__TIMER = 0
		end,
		map = maps.holding_cell_cinematic,
		update = function (dt)
			__TIMER = __TIMER + dt
		end,
		draw = function ()
			local alpha = __TIMER / 3
			local frame = math.floor((alpha * 12) % 3) + 1

			-- Draw guard
			if (__TIMER < 4) then
				local gx, gy = 80, 64 - math.min(48, __TIMER * 48)
				local gimage = gfx.char.guard_1["walk_up_" .. frame]
				if (__TIMER > 3) then
					gimage = gfx.char.guard_1["walk_down_" .. frame]
					gy = 16 + math.min(48, (__TIMER - 3) * 48)
				elseif (__TIMER > 1) then
					gimage = gfx.char.guard_1.idle_down
					gy = 16
				end
				love.graphics.draw(gimage, gx, gy)
			end

			-- Draw scientist
			if (__TIMER >= 1) then
				local sx, sy = 80, 64 - math.min(32, (__TIMER - 1) * 32)
				local simage = gfx.char.scientist["walk_up_" .. frame]
				if (__TIMER > 3) then
					simage = gfx.char.scientist["idle_down"]
					sx = 112
					sy = 32
				elseif (__TIMER > 2) then
					simage = gfx.char.scientist["walk_right_" .. frame]
					sx = (80 + (__TIMER - 2) * 32)
					sy = 32
				end
				love.graphics.draw(simage, sx, sy)
			end


			love.graphics.draw(gfx.cell_door_open, 80, 64)
		end,
		check = function ()
			return __TIMER >= 6
		end
	},
	{
		start = function ()
			Dialogue:set({
				"And now, my plan...",
				function ()
					Flag:set("intro__scientist-mono", true)
					return nil
				end
			}, "", true)
		end,
		map = maps.holding_cell_cinematic,
		draw = function ()
			-- Draw scientist
			love.graphics.draw(gfx.char.scientist["idle_down"], 112, 32)

			-- Door
			love.graphics.draw(gfx.cell_door_closed, 80, 64)
		end,
		check = function ()
			if (Flag:get("intro__scientist-mono")) then
				return true
			end
		end
	},
	{
		start = function ()
			__TIMER = 0
			Dialogue:set({
				"Ah, little parasite, my key to freedom.",
				"The Warden has the only keys to the doors out of this place.",
				"You must find him.",
				"And use your power to control him...",
				"Ah, they will never suspect a thing.",
				"Climb through the bars of my cell, and make haste.",
				function ()
					Flag:set("intro__scientist-entry", true)
					return nil
				end
			}, "", true)
		end,
		map = maps.holding_cell_cinematic,
		draw = function ()
			-- Draw scientist
			love.graphics.draw(gfx.char.scientist["idle_left"], 112, 32)
			love.graphics.draw(gfx.char.parasite["idle_right"], 96, 48)

			-- Door
			love.graphics.draw(gfx.cell_door_closed, 80, 64)
		end,
		check = function ()
			if (Flag:get("intro__scientist-entry")) then
				return true
			end
		end
	},
	{
		start = function ()
			__TIMER = 0
		end,
		map = maps.holding_cell_cinematic,
		update = function (dt)
			__TIMER = __TIMER + dt
		end,
		draw = function ()
			local alpha = __TIMER / 2
			local frame = math.floor((alpha * 10) % 2) + 1

			love.graphics.draw(gfx.char.scientist["idle_down"], 112, 32)

			-- Draw scientist
			if (__TIMER >= 1) then
				love.graphics.draw(gfx.char.parasite["walk_down_" .. frame], 80, 48 + (__TIMER - 1) * 32)
			else
				love.graphics.draw(gfx.char.parasite["walk_left_" .. frame], 96 - (__TIMER * 16), 48)
			end


			love.graphics.draw(gfx.cell_door_open, 80, 64)
		end,
		check = function ()
			if (__TIMER > 2) then
				bgm.intro:stop()
				bgm.block_a:play()
				return true
			end
		end
	}
}


return Intro
