local WardenS = {
	{
		start = function ()
			Dialogue:set({
				"You return to the holding cell in which Dr. Bosco is held...",
				function ()
					Flag:set("cs-warden__step-2", true)
					return nil
				end
			}, "", true)
		end,
		check = function ()
			return Flag:get("cs-warden__step-2")
		end
	},
	{
		start = function ()
			__TIMER = 0
			local state = StateManager:getActiveState()
			state._tx = 40
			state._ty = 72
		end,
		map = maps.holding_cell_cinematic,
		update = function (dt)
			__TIMER = __TIMER + dt
		end,
		draw = function ()
			local alpha = __TIMER / 3
			local frame = math.floor((alpha * 12) % 3) + 1

			-- Draw warden
				local gx, gy = 80, 64 - math.min(32, __TIMER * 32)
				local gimage = gfx.char.warden["walk_up_" .. frame]
				if (__TIMER > 1) then
					frame = math.floor((alpha * 12) % 2) + 1
					gimage = gfx.char.warden["walk_right_" .. frame]
					gx = 80 + (__TIMER - 1) * 16
					gy = 32
				end
				love.graphics.draw(gimage, gx, gy)

			-- Draw scientist
			love.graphics.draw(gfx.char.scientist["idle_down"], 112, 32)

			love.graphics.draw(gfx.cell_door_open, 80, 64)
		end,
		check = function ()
			return __TIMER >= 2
		end
	},
	{
		start = function ()
			Dialogue:set({
				"You are the parasite?",
				"Good, good...nobody will question us...",
				"Now we must make our leave from this place...",
				function ()
					Flag:set("cs-warden__sci-dialogue", true)
					return nil
				end
			}, "dr. bosco")
		end,
		map = maps.holding_cell_cinematic,
		draw = function ()
			-- Draw scientist and warden
			love.graphics.draw(gfx.char.warden["walk_right_2"], 96, 32)
			love.graphics.draw(gfx.char.scientist["idle_left"], 112, 32)

			love.graphics.draw(gfx.cell_door_open, 80, 64)
		end,
		check = function ()
			return Flag:get("cs-warden__sci-dialogue")
		end
	},
	{
		start = function ()
			Dialogue:set({
				"I am free and my research is complete.",
				"Although my test of the parasite has been costly in terms of human life, it has proven wildly successful.",
				"As I make my escape, I wonder...",
				"How much destruction is this parasite capable of?",
				function ()
					Flag:set("cs-warden__game_done", true)
					return nil
				end
			}, "dr. bosco", true)
		end,
		check = function ()
			if (Flag:get("cs-warden__game_done")) then
				StateManager:pop()
				StateManager:push("credits")
			end
		end
	}
}


return WardenS
