local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[You inspect the lunch lady.]",
			"[We can do better. You know this.]",
			"[Come on. I'm begging you, don't. Don't do this.]"
		}
	else
		dialogue = {
			"I'm the lunch lady.",
			"Take a tray and keep in a line to my left. ",
			"No cussin', no fightin', and no spittin'.",
			"If you have kitchen duty, go through the door.",
			"Only one inmate is assigned kitchen duty every week."
		}
	end

	Dialogue:set(dialogue, "mel")
end

function Actor:getImage()
	return gfx.char.cafe_1
end


return Actor
