local CellDoor = {}

setmetatable(CellDoor, NPC)

CellDoor.__index = CellDoor





function CellDoor:new(x, y, options)

  local new_cell_door = NPC:new(x, y, 16, 16, {

    y_offset = -16

  })

  local options = options or {}

  setmetatable(new_cell_door, self)



  return new_cell_door

end





function CellDoor:onUse()

  local state = StateManager:getActiveState()

  state:loadMap(maps.block_a, 'door_holding_down')

end





function CellDoor:getImage()

  return self:isOpened() and gfx.cell_door_open or gfx.cell_door_closed

end





function CellDoor:isOpened()

  return EssenceMenu:has("guard_2")

end





return CellDoor
 
