local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end

function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[You observe the guard.]",
			"[Not an ideal host. Pity.]"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"love too violate human rights"
		}
	elseif (mode == "prisoner_3") then
		dialogue = {
			"what the...,",
			"you'r just a kid??",
			"wow u must have done some pretty bad crimes to get in so young"
		}
	elseif (mode == "prisoner_4") then
		dialogue = {
			"if you ask me to play basketball one more time i will call the police"
		}
	elseif (mode == "prisoner_8") then
		dialogue = {
			"u just know i love deep fried chicken",
			"i desire...those tasty treats"
		}
	else
		dialogue = {
			"f word"
		}
	end

	Dialogue:set(dialogue, "bob")
	self:uponUse()
end

function Actor:getDetectionZone()
	return {
		x = self._x - 16,
		y = self._y - 48,
		w = 64,
		h = 64
	}
end


function Actor:getImage()
	return gfx.char.guard_1
end


function Actor:update(dt)
	if (Hit:checkRectangles(self:getDetectionZone(), Player:getCollisionBox())) then
		if (Player:getMode() == "scientist") then
			self:startDetectionDialogue()
		end
	end
end


function Actor:startDetectionDialogue()
	Dialogue:set({
		"hey.",
		"HEY!",
		"you're supposed to be in your cell",
		"get back before i call the police or something",
		function ()
			Player._move_lock = nil
			local state = StateManager:getActiveState()
			state:loadMap(maps.holding_cell, 'spawn')
			return nil
		end
	}, "Guard")
end


return Actor
