local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})

	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()

	local dialogue
	local mode = Player:getMode()

	if (Flag:get("guard_2__stung")) then
		Dialogue:set({
			"Only a bloody pile remains."
		})
		return
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe this...large fellow.]",
			"[Imagine all the tissue you could feed on.]",
			"[He appears to be a good candidate for a host.]",
			{
				"[Sting him?]", {
					{
						"Yes",
						function ()
							EssenceMenu:add("guard_2")
							self.stingThem()
						end
					},
					{
						"No",
						self.doNotStingThem
					}
				}
			}
		}
	elseif (mode == "scientist") then
			dialogue = {
				"you're not leaving",
				"there's still three hours until yard time",
				"why don't you play i spy with me?",
				"i spy",
				"with my little eye",
				"something beginning with...the letter 'i'.",
				"...",
				"...",
				"uh, the answer was 'isolation'.",
			}
		elseif (mode == "Prisoner4") then
				dialogue = {
					"",
				}
		else
		dialogue = {
			"hey whats up",
			"can't wait to disregard human dignity today"
		}
	end

	Dialogue:set(dialogue, "Guard")
end


function Actor.stingThem()
	Flag:set("guard_2__stung", true)
	Dialogue:set({
		"You slide the stinger into the root of his cerebellum and let the chemicals do their work.",
		"It is time to begin the transformation process.",
		"Press C to review the genetic data of your former hosts.",
		"You can infect some, but not all, in parasite form.",
		"You may transform into the body of a host you have infected at any time."
	})
end


function Actor.doNotStingThem()
	Dialogue:set({
		"You decide to leave."
	})
end


function Actor:getImage()
	if (Flag:get("guard_2__stung")) then
		self._y_offset = 0
		return gfx.icons.splat_2
	else
		return gfx.char.guard_2
	end
end


function Actor:update(dt)
	if (Flag:get("guard_2__stung")) then
		self._y_offset = 0
	end
end


return Actor
