local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "scientist") then
		dialogue = {
			"Shall science always serve as the arbiter of progress?"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"Be vigilant. Watchful. Our enemies are many and our friends few.",
		}
	elseif (mode == "prisoner_3") then
		dialogue = {
			"The plain insight of children can trump the wisdom of an adult."
		}
	elseif (mode == "prisoner_4") then
		dialogue = {
			"Basketball? I too, once came from a sphere."
		}
	elseif (mode == "prisoner_8") then
		dialogue = {
			"All beauty is fleeting.",
			"We are at loggerheads with entropy and the forces of decay.",
			"Every day of our life, we rot. What will you do?"
		}
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe this...moon man.]",
			"[Perhaps too strange to be a viable candidate.]",
		}
	else
		dialogue = {
			"f word"
		}
	end

	Dialogue:set(dialogue, "lune man")
end

function Actor:getImage()
	return gfx.char.guard_3
end


return Actor
