local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "scientist") then
		dialogue = {
			"WOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOF"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"Oh, hey. How's the shift going?",
			"See you at the bar Friday afternoon, yeah?",
		}
	elseif (mode == "prisoner_3") then
		dialogue = {
			"woof-",
			"im bored",
			"wanna take me for a walk sometime?"
		}
	elseif (mode == "prisoner_4") then
		dialogue = {
			"What's that? B-basketball??",
			"wherestheballwherestheball",
			"WOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOFWOOF"
		}
	elseif (mode == "prisoner_8") then
		dialogue = {
			"hey i know im not supposed to eat in the kitchen but",
			"uh, haha...",
			"do you have any bones you could spare for an old dog?",
			"haha....cmon",
		}
	elseif (mode == "parasite") then
		dialogue = {
			"[This dog has an aggressive flea larger than you lurking under its muzzle.]",
			"[Definitely stay away from this one.]",
		}
	else
		dialogue = {
			"woof"
		}
	end

	Dialogue:set(dialogue, "pepr the dog")
end

function Actor:getImage()
	return gfx.char.guard_4
end


return Actor
