local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[Infecting this one could break the game.]",
			"[Maybe leave this one.]"
		}
	else
		dialogue = {
			"MISSING DIALOG"
		}
	end

	Dialogue:set(dialogue, "MISSING NAME")
end

function Actor:getImage()
	return gfx.char.guard_5
end


return Actor
