local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[Could this be a potential host?]",
			"[No. Probably not.]"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"Still on your shift, hey?",
			"Talk to Soda Freak. He's got a problem."
		}
	else
		dialogue = {
			"This is the entrance to the Warden's office.",
			"If you've come to file a complaint, you'll need a form.",
			"If you want to see the Warden, talk to the other guy."
		}
	end

	Dialogue:set(dialogue, "pepe")
end

function Actor:getImage()
	return gfx.char.guard_6
end


return Actor
