local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[Could this be a potential host?]",
			"[No. Probably not.]"
		}
	elseif (Flag:get("soda__found")) then
		Flag:set("warden__open", true)
		dialogue = {
			"WHAT?",
			"THERE'S A HIDDEN SODA CACHE UNDER THE PRISON?",
			"I THINK YOU NEED TO SEE THE WARDEN",
			"GO RIGHT THROUGH"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"HEY, THIS IS THE ENTRANCE TO THE WARDEN'S OFFICE",
			"THE WARDEN IS BUSY RIGHT NOW SO I CAN'T LET YOU IN",
			"WE'RE TRYING TO DEAL WITH A SERIOUS CASE OF SODA CONTRABAND",
			"WE RECIEVED WORD THAT SOMEONE IS SMUGGLING A LOT OF SODA IN HERE",
			"THAT SODA SHOULD BE MINE!",
			"ANYWAY IF YOU FIGURE OUT WHO'S STOLE THE SODA TELL ME OK"
		}
	else
		dialogue = {
			"THIS IS THE ENTRANCE TO THE WARDEN'S OFFICE",
			"ARE YOU EVEN MEANT TO BE IN HERE?",
			"IDK",
			"YOU'RE NOT A GUARD SO I'M NOT ALLOWED TO CHIT-CHAT"
		}
	end

	Dialogue:set(dialogue, "SODA FREAK")
end

function Actor:getImage()
	return gfx.char.guard_7
end


return Actor
