local Parasite = {}
setmetatable(Parasite, NPC)
Parasite.__index = Parasite


function Parasite:new(x, y, options)
	local new_parasite = NPC:new(x, y, 16, 16)
	local options = options or {}
	setmetatable(new_parasite, self)

	return new_parasite
end


function Parasite:onUse()
	local dialogue

	if (not Flag:get('parasite__talked_to')) then
		dialogue = {
			"God, I hate my life.",
			"Not as much as I hate yours though."
		}

		Flag:set('parasite__talked_to', true)
	else
		dialogue = {
			"Why are you still here? I can't help you, you know.",
			{
				"Are you okay?", {
					{
						"Yes",
						self.sayIAmOkay
					},
					{
						"Not really...",
						self.sayIAmNotOkay
					}
				}
			}
		}
	end

	Dialogue:set(dialogue, "Parasite")
end


function Parasite:getImage()
	return gfx.char.parasite.idle_right
end


function Parasite.sayIAmNotOkay()
	Dialogue:set({
		"Well too bad, mister!"
	}, "Parasite")
end


function Parasite.sayIAmOkay()
	Dialogue:set({
		"Well fuck off, mister!"
	}, "Parasite")
end


return Parasite
