local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()

	local dialogue
	local mode = Player:getMode()

	if (Flag:get("prisoner_3__stung")) then
		Dialogue:set({
			"Only a bloody pile remains."
		})
		return
	elseif (mode == "guard_2") then
		dialogue = {
			"hey",
			"mom says i can't come out of this room until i learn my lesson",
			"you know...because of all those murders i did"
		}
	elseif (mode == "prisoner_8") then
		dialogue = {
			"hey",
			{
				"do you have tots? taters?", {
					{
						"Yes",
						self.tots
					},
					{
						"No",
						self.noTots
					}
				}
			}
		}

	elseif (mode == "parasite") then
		dialogue = {
			"[A child?]",
			"[You decide not to entertain the thought.]",
			"[asshole]"
		}
	else
		dialogue = {
			"hey",
			"um im really hungry",
			"does the kitchen have any tots???",
			"if you serve me some tasty taters i would kindly appreciate it"
		}
	end

	Dialogue:set(dialogue, "charles")
end


function Actor.tots()
	Dialogue:set({
		"give me!",
		"i love my tasty tots",
		"i love these tater treats",
		"there's nothing sweeter than a potato tater",
		"taters are so neat",
		"[He starts feeding his face with tots]",
		"[This seems unhealthy.]",
		"i don't feel well...",
		function ()
			Flag:set("charles__dead", true)
			return "[Huh. I guess he had too many tots.]"
		end,
		function ()
			Player:startTransformation("parasite", function ()
				EssenceMenu:add("prisoner_3")
				Flag:set("prisoner_3__stung", true)
			end)
			return "[Out of pity, and also necessity, you decide to absorb his body.]"
		end
	}, "charles")
end


function Actor.noTots()
	Dialogue:set({
		"no...no tots...huh",
		"you know, you're kind of a bully"
	}, "charles")
end


function Actor:getImage()
	if (Flag:get("prisoner_3__stung")) then
		self._y_offset = 0
		return gfx.icons.splat_2
	else
		return Flag:get("charles__dead") and gfx.char.prisoner_3.dead or gfx.char.prisoner_3
	end
end


return Actor
