local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (Flag:get("prisoner_4__stung")) then
		Dialogue:set({
			"Only a bloody pile remains."
		})
		return
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe this athletic b-ball enthusiast.]",
			"[Yeah. This could be a good host.]",
			{
				"[Sting him?]", {
					{
						"Yes",
						function ()
							self._y_offset = 0
							EssenceMenu:add("prisoner_4")
							self.stingThem()
						end
					},
					{
						"No",
						self.doNotStingThem
					}
				}
			}
		}
	elseif (mode == "scientist") then
			dialogue = {
				"dude i LOVE basket ball",
			}
	elseif (mode == "scientist") then
			dialogue = {
				"i uh would challenge you to a game but",
				"i would probably devestate you so hard",
				"you'd get hurt or something"
				}
		elseif (mode == "guard_2") then
				dialogue = {
					"get AWAY from me",
					"i know THE MAN is tryin to keep me and my b-ball down",
					"tryin to slam dunk us into obscurity",
					"tryin to keep us outta the hoop"
				}
		else
		dialogue = {
			"dude i LOVE basket ball"
		}
	end

	Dialogue:set(dialogue, "basket boy")
end


function Actor.stingThem()
	Flag:set("prisoner_4_stung", true)
	Dialogue:set({
		"You slam dunk this poor soul's consciousness into oblivion."
	})
end


function Actor.doNotStingThem()
	Dialogue:set({
		"You decide to leave."
	})
end


function Actor:getImage()
	if (Flag:get("prisoner_4_stung")) then
		return gfx.icons.splat_2
	else
		return gfx.char.prisoner_4
	end
end





return Actor
