local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 48, 48, {
		will_face = true,
		y_offset = -0
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

if (mode == "guard_2") then
		dialogue = {
			"no ",
			"n-no...haha....",
			"no! no! no secrets here! ahah"
		}
	elseif (mode == "prisoner_4") then
		dialogue = {
			"hey, uh...i have a secret...",
			"but, uh. all those times you asked me to play basketball...",
			"s-sorry!! haha"
		}
	elseif (mode == "prisoner_3") then
		dialogue = {
			"ah!!! haha... a child, pure at heart",
			"listen to me. you must hear my secret",
			"the toad has a smuggling ring going on",
			"nobody knows what he is smuggling but i think it may be soda",
			"and you can only get in by stepping on the flower in his room and counting to ten",
			"don't tell anyone i said that, mmkay!! just a secret between two nice people!!! haha",
		}
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe this...thing.]",
			"[You are too repulsed to seriously consider comandeering its body.]"
		}
	else
		dialogue = {
			"i have....secrets.",
			"terrible things untold of this prison we inhabit",
			"but new faces are untrustworthy faces, unclear faces.",
			"only innocent ears, like those of a child, lie privy to my mysteries"
		}
	end

	Dialogue:set(dialogue, "trash")
end

function Actor:getImage()
	return gfx.char.prisoner_5
end


return Actor
