local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (Flag:get("prisoner_8__stung")) then
		Dialogue:set({
			"Only a bloody pile remains."
		})
		return
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe this dude.]",
			"[Do you think this guy lifts weights or something?]",
			"[Yeah. This could be a good host.]",
			{
				"[Sting him?]", {
					{
						"Yes",
						function ()
							self._y_offset = 0
							EssenceMenu:add("prisoner_8")
							self.stingThem()
						end
					},
					{
						"No",
						self.doNotStingThem
					}
				}
			}
		}
		elseif (mode == "guard_2") then
				dialogue = {
					"uh, dont they have guard food for guards?",
					"quit botherin me, i'm tryna fry here"
				}
		elseif (mode == "prisoner_3") then
				dialogue = {
					"what's that? you want tater tots?",
					"ok, i'll fry some up",
					"i'll come over to your cell later",
					"and deliver you...the tater"
					}
		elseif (mode == "prisoner_4") then
				dialogue = {
					"hey, what's up? back for kitchen duty?",
					"grab an apron and get to work",
					"and dO'NT spin that damn basketball in here",
					}
		else
		dialogue = {
			"you want food? go outside and get in line and wait like everyone else"
		}
	end

	Dialogue:set(dialogue, "henk")
end


function Actor.stingThem()
	Flag:set("prisoner_8__stung", true)
	Dialogue:set({
		"You deep fry this guy's neural circuitry until he's baked."
	})
end


function Actor.doNotStingThem()
	Dialogue:set({
		"You decide to leave."
	})
end


function Actor:getImage()
	if (Flag:get("prisoner_8_stung")) then
		return gfx.icons.splat_2
	else
		return gfx.char.prisoner_8
	end
end





return Actor
