local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()
	local dialogue
	local mode = Player:getMode()

	if (mode == "parasite") then
		dialogue = {
			"[Might this be a potential host?]",
			"[No.]"
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"gettin real tired of people commening about my ugly appearance"
		}
	else
		dialogue = {
			"i am sorry if my hideous appearance has offended you in any way"
		}
	end

	Dialogue:set(dialogue, "ugly dave")
end

function Actor:getImage()
	return gfx.char.prisoner_9
end


return Actor
