local Actor = {}
setmetatable(Actor, NPC)
Actor.__index = Actor


function Actor:new(x, y, options)
	local new_actor = NPC:new(x, y, 16, 16, {
		will_face = true,
		y_offset = -16
	})
	local options = options or {}
	setmetatable(new_actor, self)

	return new_actor
end


function Actor:onUse()
	self:uponUse()

	local dialogue
	local mode = Player:getMode()

	if (Flag:get("scientist__stung")) then
		Dialogue:set({
			"Only a bloody pile remains."
		})
		return
	elseif (mode == "parasite") then
		dialogue = {
			"[You observe your creator.]",
			"[He appears to be an excellent meal.]",
			"[How could you pass this up?]",
			{
				"[Sting him?]", {
					{
						"Yes",
						function ()
							self._y_offset = 0
							EssenceMenu:add("scientist")
							self.stingThem()
						end
					},
					{
						"No",
						self.doNotStingThem
					}
				}
			}
		}
	elseif (mode == "guard_2") then
		dialogue = {
			"Excuse me.",
			"I'm, uh, waiting for a friend..."
		}
	elseif (mode == "prisoner_4") then
		dialogue = {
			"Basketball?",
			"...",
			"No."
		}
	else
		dialogue = {
			"Excuse me.",
			"I'm, uh, waiting for a friend..."
		}
	end

	Dialogue:set(dialogue, "dr. bosco")
end

function Actor.stingThem()
	Flag:set("scientist__stung", true)
	Dialogue:set({
		"You slide the stinger into the root of his cerebellum and let the chemicals do their work."
	})
end


function Actor.doNotStingThem()
	Dialogue:set({
		"You decide to leave."
	})
end


function Actor:getImage()
	if (Flag:get("scientist__stung")) then
		return gfx.icons.splat_2
	else
		return gfx.char.scientist
	end
end

return Actor
