--[[
	Play state
	Caveware Digital :: 2017
]]


local current_folder = ...
local CreditsState = {}


--[[
	Initialises the play state
	INPUT: options - Default settings for this state
]]
function CreditsState:start(options)
	bgm.warden:stop()
	sfx.credits:play()
	self._timer = 0
end


--[[
	Performed upon this state being popped
]]
function CreditsState:stop()
	-- Kill everything about this state
end


--[[
	Update each loop
	INPUT: dt - Delta time
]]
function CreditsState:update(dt)
	self._timer = self._timer + dt
end


--[[
	Draws
]]
function CreditsState:draw()
	love.graphics.setColor(255, 255, 255)
	local frame = math.min(6, math.floor(self._timer / (20 / 3)) + 1)
	love.graphics.draw(gfx.bg["credits_" .. frame])
end


return CreditsState
